<?php
require_once "functions.php";

if (!empty($_FILES['the_file'])) {
    $theFile = isset($_FILES['the_file'][0]) ? $_FILES['the_file'][0] : $_FILES['the_file'];

    $result = validateFile($theFile);

    if ($result) {
        $extension = @pathinfo($theFile['name'])['extension'];
        if (!$extension) {
            die("پسوند ناشناخته");
        }
        $new_name = generate_new_file_name($extension);
        $row = insert_image($theFile, $new_name);

        if (!$row) {
            die("ذخیره تصویر در دیتابیس با خطا مواجه شد");
        }
    } else {
        $limitUploadMessage = get_limitUploadMessage();
        die("<p dir=\"rtl\">فایل آپلود نگردید : دلیل آپلود می تواند یکی از این شرایط باشد {$limitUploadMessage}</p>");
    }
} else {
    die("هیچ فایل معتبری آپلود نشد");
}
?>
<!DOCTYPE html>
<html lang="fa" dir="rtl">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>نمایش تصویر</title>
    <link rel="stylesheet" href="<?= dirname($_SERVER['SCRIPT_NAME']) . "/css/style.css" ?>">
</head>

<body>
    <a href="https://rapidcode.ir" class="intro" target="_blank">رپید کد - کتابخانه مجازی برنامه نویسان</a>


    <?php if ($row) : ?>
        <?php $file_link = dirname($_SERVER['SCRIPT_NAME']) .  $row['upload_path'] ?>
        <h1>تصویر آپلود شده</h1>
        <img width="250" src="<?= $file_link ?>" alt="تصویر آپلود شده"><br>
        <a style="font-size:xx-large" href="<?= $file_link ?>">لینک فایل</a>
    <?php endif; ?>

</body>

</html>